ppx_meta_conv

AuthorJun Furuse
Homepagehttps://bitbucket.org/camlspotter/ppx_meta_conv
Issue Trackerhttps://bitbucket.org/camlspotter/ppx_meta_conv/issues?status=new&status=open
Maintainerjun.furuse@gmail.com
Dependencies
&ocamlfind
omake
ppx_deriving>= 4.0&5.0
ppxx>= 2.0.0
spotlib>= 4.0.0
Optional dependencies
|camlon
sexplib
tiny_json
Availableocaml-version >= "4.04.0" & ocaml-version < "4.05.0"
PublishedJun 30, 2017
Source [http] https://bitbucket.org/camlspotter/ppx_meta_conv/get/2.8.0.tar.gz
542c5e397f705b2fee7b9e746aa79f2d
StatisticsInstalled once last month.
Edithttps://github.com/ocaml/opam-repository/tree/master/packages/ppx_meta_conv/ppx_meta_conv.2.8.0/opam

ppx_meta_conv, ppx based type_conv for various tree data formats.

ppx_meta_conv provides an easier way to auto-generate decoder and encoder between OCaml data types and various tree form data such as JSON, XML, Sexp, etc.

Necessary for
sociaml-facebook-api
>= 0.4.1
treeprint
>= 2.0.0
Optional for
msgpack
>= 1.3.0